#!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# License: GNU General Public License v2

# Author: thl-cmk[at]outlook[dot]com
# URL   : https://thl-cmk.hopto.org
# Date  : 2017-12-27
#
#
# Check_MK cisco_eigrp_topology_table WATO plugin
#
from cmk.gui.i18n import _
from cmk.gui.valuespec import (
    Dictionary,
    ListChoice,
    TextAscii,
)

from cmk.gui.plugins.wato import (
    CheckParameterRulespecWithItem,
    rulespec_registry,
    RulespecGroupCheckParametersNetworking,
)

_nowarnon = [('siaroutes', 'Stuck in active (SIA) routes'),
            ('activeroutes', 'Active routes')]


def _parameter_valuespec_cisco_eigrp_topology_table():
    return Dictionary(
        help=_(''),
        elements=[
            ('nowarnon',
             ListChoice(
                 title=_('no warning if EIRGP SIA/active route found'),
                 help=_('no warning if EIRGP Stuck in active (SIA) / active route found'),
                 choices=_nowarnon,
                 default_value=[],
             ),
             )
        ],
    )


rulespec_registry.register(
    CheckParameterRulespecWithItem(
        check_group_name='cisco_eigrp_topology_table',
        group=RulespecGroupCheckParametersNetworking,
        item_spec=lambda: TextAscii(title=_('Cisco EIGRP topology table'), ),
        match_type='dict',
        parameter_valuespec=_parameter_valuespec_cisco_eigrp_topology_table,
        title=lambda: _('Cisco EIGRP topology table'),
    ))